Bug 14087 - "ctdb stop" command completes before databases are frozen
"ctdb stop" command completes before databases are frozen
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.11
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 14084
Blocks: 14085
  Show dependency treegraph
 
Reported: 2019-08-13 06:46 UTC by Martin Schwenke
Modified: 2019-09-03 11:48 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.11, 4.10 and 4.9 (7.88 KB, patch)
2019-08-22 07:05 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-08-13 06:46:32 UTC
This means that a corresponding "ctdb continue" command can cause a recovery before databases on the stopped node are frozen, allowing deleted records to be resurrected.
Comment 1 Martin Schwenke 2019-08-13 06:47:50 UTC
This blocks bug 14085, since the record resurrection integration test remains unreliable.  :-(
Comment 2 Martin Schwenke 2019-08-13 06:58:04 UTC
Depends on 14084, since otherwise recovery daemon main_loop() may not run in time to do housekeeping associated with stopping a node.
Comment 3 Martin Schwenke 2019-08-22 07:05:44 UTC
Created attachment 15414 [details]
Patch for 4.11, 4.10 and 4.9

All patches cherry-picked cleanly.  Same patch applies to all 3 branches.
Comment 4 Amitay Isaacs 2019-08-26 03:50:05 UTC
Hi Karolin,

This is ready for v4-9, v4-10 and v4-11.

Thanks.
Comment 5 Karolin Seeger 2019-08-27 10:31:25 UTC
(In reply to Amitay Isaacs from comment #4)
Pushed to autobuild-v4-{11,10,9}-test.
Comment 6 Karolin Seeger 2019-09-03 11:48:42 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!